List services
List all services for an account
Authorization
authorization In: header
Query Parameters
Page number
1 <= valueNumber of items per page
1 <= valueFilter services by metadata using bracket notation. See Metadata Filtering for more details.
Response Body
application/json
application/json
application/json
curl -X GET "https://example.com/v1/services"{ "data": [ { "appointment_type": "in_person", "booking_policy": { "advance_notice": { "enabled": true, "minimum_duration": "PT1H" }, "allow_booking": true, "disabled_message": "Booking is disabled for this service.", "hold": { "duration": "PT10M", "enabled": true }, "maximize_utilization": { "enabled": true } }, "buffer_policy": { "after_duration": "PT1H", "before_duration": "PT15M", "enabled": true }, "cancellation_policy": { "advance_notice": { "enabled": true, "minimum_duration": "PT1H" }, "allow_cancellation": true, "disabled_message": "Cancellation is disabled for this service." }, "change_policy_text": "Appointments within 48 hours cannot be canceled or rescheduled online. Please call our office.", "created_at": "2025-02-17T17:49:19Z", "duration": "PT1H30M", "forms": [ { "created_at": "2025-02-17T17:49:19Z", "form_id": "frm_d025a96ac0c6", "form_name": "Intake Form", "id": "sf_d025a96ac0c6", "object": "service_form", "sort_order": 1, "updated_at": "2025-02-17T17:49:19Z" } ], "id": "srv_d025a96ac0c6", "internal_name": null, "metadata": { "external_id": "123" }, "name": "Initial Consult", "object": "service", "provider_notifications": { "additional_recipients": [ "admin@example.com" ], "notify_provider": true, "types": [ { "type": "new_appointment" } ] }, "rescheduling_policy": { "advance_notice": { "enabled": true, "minimum_duration": "PT1H" }, "allow_rescheduling": true, "disabled_message": "Rescheduling is disabled for this service." }, "slot_rules": [ { "recurrence_rule": { "byday": [ "mo", "we", "fr" ], "freq": "weekly" }, "start_times": [ "09:00", "10:00" ] } ], "updated_at": "2025-02-17T17:49:19Z" } ], "meta": { "current_page": 1, "page_size": 10, "total_count": 50, "total_pages": 5 }}List service providers GET
List all providers associated with a service.
Set service conferencing PUT
Set a service's default conferencing and configure every provider on the service from their default user mappings on the connected account. Providers without a default user mapping are skipped (reported in the response, not an error). Returns a 404 when the service does not exist or is not accessible to the current actor, and a 422 when `connected_account_id` does not reference a conferencing connection on the service's account.